#!/bin/bash

info_file="/etc/pear/pear_monitor/disk_info.json"

# Get disk information
disk_info=$(lsblk -o NAME,VENDOR,MODEL,SERIAL,SIZE,ROTA,TYPE --pair | grep disk)

# Format the disk information
formatted_info=$(echo "$disk_info" | sed -e 's/\(NAME\|VENDOR\|MODEL\|SERIAL\|SIZE\|ROTA\|TYPE\)/"\1"/g' \
                                         -e 's/.*/{&},/' -e '$s/,$//' \
                                         -e 's/\" "/", "/g' -e 's/":"/": "/g' \
                                         -e 's/}"/}"/g' -e '1s/^/[/' -e '$s/$/]/' \
                                         -e 's/"="/":"/g')

# Output the formatted disk information
echo "$formatted_info" | jq '{disk_info:.}' > "$info_file"

exit 0
